ReduceValue< V > Class Template Reference

`#include <mia/core/parallelcxx11.hh>`

## Public Types

typedef V | Value

## Public Member Functions

const Value & | get_identity () const
const Value & | get_reduced () const
template<typename Reduce>
void | reduce (const Value &v, Reduce r)
| ReduceValue (const Value &i)

## Detailed Description

template<typename V>
class ReduceValue< V >

Definition at line 175 of file parallelcxx11.hh.

## Member Typedef Documentation

## Value

template<typename V>

typedef V ReduceValue< V >::Value

Definition at line 178 of file parallelcxx11.hh.

## Constructor & Destructor Documentation

## ReduceValue()

template<typename V>

ReduceValue< V >::ReduceValue | ( | const Value & | i | ) |

inline

Definition at line 179 of file parallelcxx11.hh.

## Member Function Documentation

## get_identity()

template<typename V>

const Value & ReduceValue< V >::get_identity | ( |  | ) | const

inline

Definition at line 189 of file parallelcxx11.hh.

Referenced by preduce_callback().

## get_reduced()

template<typename V>

const Value & ReduceValue< V >::get_reduced | ( |  | ) | const

inline

Definition at line 193 of file parallelcxx11.hh.

Referenced by preduce().

## reduce()

template<typename V>
template<typename Reduce>

void ReduceValue< V >::reduce | ( | const Value & | v,
|  | Reduce | r )

inline

Definition at line 184 of file parallelcxx11.hh.

Referenced by preduce_callback().

The documentation for this class was generated from the following file:

- parallelcxx11.hh